| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfPNP Struct Reference
Subscriber Features

Precedence and Preemption. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
char * | BPAnnouncement
| Blocked Precedence Announcement. More...
char * | UPAnnouncement
| Unauthorized Precedence Announcement. More...
char * | PreemptionTone
| Preemption Tone. More...
int * | PreemptionToneTimeout
| Preemption Tone Supervision Timeout (seconds). More...
bool * | UserAuthenticationRequired
| User Authentication Required. More...
int * | PinLen
| Pin length. More...
char * | Pin
| Precedence Authentication Code (Pin). More...
enum unsp__MaxPrecedenceLevel * | MaxPrecedenceLevel
| Maximum Allowed Precedence Level. More...
bool * | NonPreemptableUser
| Non Preemptable User. More...
bool * | PrecedenceCallWaitingDisabled
| Precedence Call Waiting Disabled. More...
struct unsp__CfPNP_locPres * | Local
| Local presence flags. More...

## Detailed Description

Precedence and Preemption.

The Precedence and Preemption feature provides subscribers the capability to support precedence and preemption for audio and video calls.
MP2 command: CFPNP [Attributes]

## Member Data Documentation

## ◆ BPAnnouncement

char* unsp__CfPNP::BPAnnouncement

Blocked Precedence Announcement.

required: false
default value[range]: BPA_Default_Tr

## ◆ Enabled

unsp__Enabled* unsp__CfPNP::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfPNP_locPres* unsp__CfPNP::Local

Local presence flags.

## ◆ MaxPrecedenceLevel

enum unsp__MaxPrecedenceLevel* unsp__CfPNP::MaxPrecedenceLevel

Maximum Allowed Precedence Level.

required: false
default value[range]: Routine

## ◆ NonPreemptableUser

bool* unsp__CfPNP::NonPreemptableUser

Non Preemptable User.

required: false
default value[range]: false

## ◆ Pin

char* unsp__CfPNP::Pin

Precedence Authentication Code (Pin).

required: false
default value[range]: 1234

## ◆ PinLen

int* unsp__CfPNP::PinLen

Pin length.

required: false
default value[range]: 4 NA [4..8]

## ◆ PrecedenceCallWaitingDisabled

bool* unsp__CfPNP::PrecedenceCallWaitingDisabled

Precedence Call Waiting Disabled.

required: false
default value[range]: false

## ◆ PreemptionTone

char* unsp__CfPNP::PreemptionTone

Preemption Tone.

required: false
default value[range]: PT_Default_Tr

## ◆ PreemptionToneTimeout

int* unsp__CfPNP::PreemptionToneTimeout

Preemption Tone Supervision Timeout (seconds).

required: false
default value[range]: 3 NA [3..8]

## ◆ Subscribed

enum unsp__Subscribed unsp__CfPNP::Subscribed

Standard Subscribed enumeration.

## ◆ UPAnnouncement

char* unsp__CfPNP::UPAnnouncement

Unauthorized Precedence Announcement.

required: false
default value[range]: UPA_Default_Tr

## ◆ UserAuthenticationRequired

bool* unsp__CfPNP::UserAuthenticationRequired

User Authentication Required.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h